TREEIFY(1)

NAME
treeify - manual page for treeify 3.2.0

DESCRIPTION
usage: treeify [-h] [-o OUTPUT] [-r PATTERN] [-d DELIMITER] [-s SPLIT] [-F]

    [-A] [--filler FILLER] [input]

Identify a column of text that contains hierarchical id and treeify that column. This script will inspect a text file and attempt to find a vertically left-aligned column of text that contains identifiers with multiple components, such as "Assets:US:Bank:Checking", and replace those by a treelike structure rendered in ASCII, inserting new empty lines where necessary to create the tree. Note: If your paths have spaces in them, this will not work. Space is used as a delimiter to detect the end of a column. You can customize the delimiter with an option.

  positional arguments:

input
    Name of the file to process (default: stdin)

  options:

-h, --help
    show this help message and exit

-o, --output OUTPUT
    Name of the file to write (default: stdout)

-r, --pattern PATTERN
    Pattern for repeatable components (default: "(Assets|L iabilities|Equity|Income|Expenses)(:[A-Z][A-Za-z0-9- _']*)*")

-d, --delimiter DELIMITER
    Delimiter pattern to detect the end of a column text. If your pattens contain strings, you may want to set this to a longer string, like ' {2,}' (default: "[ ]+")

-s, --split SPLIT
    Pattern splitting into components (default: ":")

-F, --filenames
    Use pattern and split suitable for filenames

-A, --loose-accounts
    Use pattern and split suitable for loose account names

--filler FILLER
    Filler string for new lines inserted for formatting